package com.its.op.dto.its.analysis;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Setter
@ToString
@AllArgsConstructor
@ApiModel(description = "패턴데이터분석 요청 파라미터")
public class PtrnDataParam {

    @ApiModelProperty("LINK, IFSC, ROAD 선택")
    private String PTRN_TYPE;       // LINK, IFSC, ROAD 선택
    @ApiModelProperty("5M(5 분 패턴), 15M(15분 패턴) 선택")
    private String PTRN_DATA;       // 5M(5 분 패턴), 15M(15분 패턴) 선택
    @ApiModelProperty("LINK_ID, IFSC_ID, ROAD_ID")
    private String ID;              // ID, (LINK_ID, IFSC_ID, ROAD_ID)
    @ApiModelProperty("DTW1(월), DTW2(화), DTW3(수), DTW4(목), DTW5(금), DTW6(토), DTW7(일)")
    private String PTRN_WEEK;       // DTW1(월), DTW2(화), DTW3(수), DTW4(목), DTW5(금), DTW6(토), DTW7(일)
    @ApiModelProperty("기준월(YYYYMM)")
    private String BASE_MN;         // 기준월(YYYYMM)
    @ApiModelProperty("비교월(YYYYMM)")
    private String COMP_MN;         // 비교월(YYYYMM)
    @ApiModelProperty("시작시간대(HH24MI)")
    private String FROM_HM;         // 시작시간대(HH24MI)
    @ApiModelProperty("종료시간대(HH24MI)")
    private String TO_HM;           // 종료시간대(HH24MI)

    @JsonIgnore
    private String TABLE_NAME;

    @ApiModelProperty(value = "Table Name", notes = "Table Name", hidden = true)
    public String getTABLE_NAME() {
        return TABLE_NAME;
    }

    public String getID() {
        return ID;
    }

    public String getPTRN_TYPE() {
        return PTRN_TYPE;
    }

    public String getPTRN_DATA() {
        return PTRN_DATA;
    }

    public String getPTRN_WEEK() {
        return PTRN_WEEK;
    }

    public String getBASE_MN() {
        return BASE_MN;
    }

    public String getCOMP_MN() {
        return COMP_MN;
    }

    public String getFROM_HM() {
        return FROM_HM;
    }

    public String getTO_HM() {
        return TO_HM;
    }

}
